
#include "Webserv.hpp"

void	Webserv::_delete(Client *client, const std::string &path)
{
/*
	https://www.rfc-editor.org/rfc/rfc9110.html#name-delete
*/
	_delete_file(client, path);
}

void	Webserv::_delete_file(Client *client, const std::string &path)
{
	std::cout << "_delete_file()\n";
	client->status = ::eval_file_access(path, W_OK);
	if (client->status)
		return;

	if (std::remove(path.c_str()) == -1)
	{
		std::perror("err remove()");
		if (errno == ENOTEMPTY || errno == EEXIST)
			client->status = 403;
		else
			client->status = 500;
		return ;
	}

	client->status = 204;
	client->response.append(CRLF);
}
